import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = d3.select("svg");
const height = +svg.attr("height");
const makeFruit = type => ({type, id: Math.random()}); //create a fruit

var fruits = range(5)
	.map(() => makeFruit("Apple")); //create a list of fruits

const render = () => {
  fruitBowl (svg, {fruits, height}); 
}

render ();	

//Eat apple
setTimeout(()=>{
	fruits.pop();
	render ();  
}, 3000)

//Replacing an apple with lemon
setTimeout(()=>{
	fruits[2].type = "Lemon";
	render ();  
}, 6000)

//Eat Second apple
setTimeout(()=>{
	fruits = fruits.filter((d,i)=> i !== 1);
	render ();  
}, 9000)